export declare class ImageComponent {
    readonly alt: import("@angular/core").InputSignal<string>;
    readonly blurDataURL: import("@angular/core").InputSignal<string | undefined>;
    readonly className: import("@angular/core").InputSignal<string | undefined>;
    readonly crossOrigin: import("@angular/core").InputSignal<"" | "anonymous" | "use-credentials" | undefined>;
    readonly fetchPriority: import("@angular/core").InputSignal<"high" | "low" | "auto" | undefined>;
    readonly fill: import("@angular/core").InputSignal<boolean>;
    readonly height: import("@angular/core").InputSignal<number | undefined>;
    readonly loader: import("@angular/core").InputSignal<((params: {
        src: string;
        width: number;
        quality: number;
    }) => string) | undefined>;
    readonly loading: import("@angular/core").InputSignal<"lazy" | "eager">;
    readonly onError: import("@angular/core").InputSignal<((event: Event) => void) | undefined>;
    readonly onLoad: import("@angular/core").InputSignal<((event: Event) => void) | undefined>;
    readonly overrideSrc: import("@angular/core").InputSignal<string | undefined>;
    readonly placeholder: import("@angular/core").InputSignal<string>;
    readonly priority: import("@angular/core").InputSignal<boolean>;
    readonly quality: import("@angular/core").InputSignal<number>;
    readonly referrerPolicy: import("@angular/core").InputSignal<string | undefined>;
    readonly sizes: import("@angular/core").InputSignal<string | undefined>;
    readonly src: import("@angular/core").InputSignal<string>;
    readonly style: import("@angular/core").InputSignal<Record<string, string | number> | undefined>;
    readonly unoptimized: import("@angular/core").InputSignal<boolean>;
    readonly width: import("@angular/core").InputSignal<number | undefined>;
    private readonly blurRemoved;
    readonly resolvedSrc: import("@angular/core").Signal<string>;
    readonly srcSet: import("@angular/core").Signal<string | null>;
    readonly resolvedSrcSet: import("@angular/core").Signal<string | null>;
    readonly resolvedSizes: import("@angular/core").Signal<string | null>;
    readonly resolvedCrossOrigin: import("@angular/core").Signal<"" | "anonymous" | "use-credentials" | null>;
    readonly resolvedReferrerPolicy: import("@angular/core").Signal<string | null>;
    readonly resolvedLoading: import("@angular/core").Signal<"lazy" | "eager">;
    readonly resolvedFetchPriority: import("@angular/core").Signal<"high" | "low" | "auto" | null>;
    readonly imgStyle: import("@angular/core").Signal<Record<string, string | number>>;
    handleLoad(event: Event): void;
    handleError(event: Event): void;
}
